data:extend({
  {
    type = "radar",
    name = "radarmk2",
    icon = "__base__/graphics/icons/radar.png",
    flags = {"placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "radarmk2"},
    max_health = 150,
    corpse = "big-remnants",
    resistances =
    {
      {
        type = "fire",
        percent = 70
      }
    },
    collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    energy_per_sector = "10MJ",
-- standard is 10MJ, by multiplying the intake with 2x the sectors should be scanned 2x faster
    max_distance_of_sector_revealed = 28,
-- standard is 14 
    max_distance_of_nearby_sector_revealed = 5,
    energy_per_nearby_scan = "200kJ",
-- standard is 250kJ
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input"
    },
    energy_usage = "600kW",
-- standard is 300 kw
    pictures =
    {
	filename = "__base__/graphics/entity/radar/radar.png",
	priority = "low",
	width = 153,
	height = 131,
	axially_symmetrical = false,
	apply_projection = false,
	direction_count = 64,
	line_length = 8,
	shift = {0.875, -0.35}
      
    },
    working_sound =
    {
      sound = {
        {
          filename = "__base__/sound/radar.ogg"
        }
      },
      apparent_volume = 2,
    }
  },
  {
    type = "radar",
    name = "radarmk3",
    icon = "__base__/graphics/icons/radar.png",
    flags = {"placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "radarmk3"},
    max_health = 150,
    corpse = "big-remnants",
    resistances =
    {
      {
        type = "fire",
        percent = 70
      }
    },
    collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    energy_per_sector = "10MJ",
    max_distance_of_sector_revealed = 56,
    max_distance_of_nearby_sector_revealed = 7,
    energy_per_nearby_scan = "100kJ",
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input"
    },
    energy_usage = "1200kW",
    pictures =
    {
      	filename = "__base__/graphics/entity/radar/radar.png",
	priority = "low",
	width = 153,
	height = 131,
	axially_symmetrical = false,
	apply_projection = false,
	direction_count = 64,
	line_length = 8,
	shift = {0.875, -0.35}
      
    },
    working_sound =
    {
      sound = {
        {
          filename = "__base__/sound/radar.ogg"
        }
      },
      apparent_volume = 2,
    }
  }

})